E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
G::Slot::SlotImp3< T, P1, P2, P3 > Class Template Reference

A slot implementation class for three-parameter callbacks. More...

`#include <gslot.h>`

Inheritance diagram for G::Slot::SlotImp3< T, P1, P2, P3 >:

## Public Member Functions
| SlotImp3 (T &object, void(T::*fn)(P1, P2, P3))
void | callback (P1 p1, P2 p2, P3 p3)
Public Member Functions inherited from G::Slot::SlotImpBase
| SlotImpBase ()
| Default constuctor.
virtual | ~SlotImpBase ()
| Destructor.
void | up ()
| Increments the reference count.
void | down ()
| Decrements the reference count and does "delete this" on zero. More...

## Detailed Description

### template<typename T, typename P1, typename P2, typename P3>
class G::Slot::SlotImp3< T, P1, P2, P3 >

A slot implementation class for three-parameter callbacks.

Definition at line 364 of file gslot.h.

The documentation for this class was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gslot.h